@charset "UTF-8";

@layer reset, base, component, project, utility;
@import url("reset.css") layer(reset);
@import url("base.css") layer(base);
@import url("components.css") layer(component);
@import url("project.css") layer(project);
@import url("utility.css") layer(utility);

:root {
    --header-height: 60px;
    --footer-height: 60px;
    --container-width: 100%;
    --base-font-size: 22px;
    --font-number: "din-2014", sans-serif;
    --font-accent: "nobel", sans-serif;

    --spacing-xxs: 0.25rem;
    --spacing-xs: 0.5rem;
    --spacing-sm: 1rem;
    --spacing-md: 1.5rem;
    --spacing-lg: 2rem;
    --spacing-xl: 2.5rem;
    --spacing-2xl: 3rem;
    --spacing-3xl: 3.5rem;
    --spacing-4xl: 4rem;
    --spacing-5xl: 4.5rem;
    --spacing-6xl: 5rem;
    --spacing-7xl: 5.5rem;
    --spacing-8xl: 6rem;

    --color-bg: #e8f0fd;
    --color-lead: #fae8c2;
    --color-achive: #fefbe8;
    --color-title: linear-gradient(to right,
            rgba(32, 64, 129, 1) 0%,
            rgba(0, 38, 224, 1) 100%);
    --color-lead-contrast: #fff801;
    --color-text-secondary: #353a3c;
    --color-accent: #d80001;
    --color-border: #ccc;
}

@media screen and (min-width: 768px) {
    :root {
        --container-width: 1200px;
        --base-font-size: 28px;
        --header-height: 84px;
    }
}


@media screen and (min-width: 768px) {
    .container {
        width: 100%;
        max-width: var(--container-width);
        margin: 0 auto;
    }
}